aboutsummaryrefslogtreecommitdiffstats
path: root/sources/hv-collector-main/src/main/scripts/entry.sh
diff options
context:
space:
mode:
authorPiotr Wielebski <piotr.wielebski@nokia.com>2019-01-08 12:43:25 +0000
committerGerrit Code Review <gerrit@onap.org>2019-01-08 12:43:25 +0000
commite1c68f37ec3ba3ee512b86846a134d2f278b6571 (patch)
tree38a009aa2495ed0208a870b7ca01e6b22432c485 /sources/hv-collector-main/src/main/scripts/entry.sh
parent5180f3f32a2cdd35206f728e0fd7dd6ad62b567a (diff)
parent0d3d921285f397239e739790bf62d1cb8768ca7b (diff)
Merge "Handle sigterm signal"
Diffstat (limited to 'sources/hv-collector-main/src/main/scripts/entry.sh')
-rwxr-xr-xsources/hv-collector-main/src/main/scripts/entry.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/sources/hv-collector-main/src/main/scripts/entry.sh b/sources/hv-collector-main/src/main/scripts/entry.sh
index 2e8cb0c5..a612e393 100755
--- a/sources/hv-collector-main/src/main/scripts/entry.sh
+++ b/sources/hv-collector-main/src/main/scripts/entry.sh
@@ -2,4 +2,19 @@
set -euo pipefail
-java ${JAVA_OPTS:-''} -cp '*:' org.onap.dcae.collectors.veshv.main.MainKt $@
+pid=-1
+
+function handle_sigterm() {
+ if [[ ${pid} -ge 0 ]]; then
+ echo "Caught SIGTERM signal. Redirecting to process with pid=${pid}"
+ kill -TERM "${pid}"
+ wait ${pid}
+ fi
+ exit 143 # 128 + 15 -- SIGTERM
+}
+trap "handle_sigterm" SIGTERM
+
+java ${JAVA_OPTS:-} -cp '*:' org.onap.dcae.collectors.veshv.main.MainKt $@ &
+pid=$!
+echo "Service started with pid=${pid}"
+wait ${pid}